org.apache.ignite.internal.processors.cache.persistence.partstate

## Class PagesAllocationRange

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.partstate.PagesAllocationRange

    public class PagesAllocationRange
    extends Object

Range of pages allocated. Contains currently allocated page count and previously observed page count. May be used for tracking history of recent allocation for partition `[partition, cacheId]`

### Constructor Summary

Constructors
Constructor and Description
`PagesAllocationRange(int lastAllocatedPageCnt, int currAllocatedPageCnt)` Creates pages range

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCurrAllocatedPageCnt()`
`int` `getLastAllocatedPageCnt()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PagesAllocationRange

    public PagesAllocationRange(int lastAllocatedPageCnt,
                                int currAllocatedPageCnt)

Creates pages range

Parameters:
  `lastAllocatedPageCnt` - Last allocated pages count.
  `currAllocatedPageCnt` - Currently allocated pages count.

### Method Detail

#### getCurrAllocatedPageCnt

    public int getCurrAllocatedPageCnt()

Returns:
  Total current number of pages allocated, minimum value is 0.

#### getLastAllocatedPageCnt

    public int getLastAllocatedPageCnt()

Returns:
  Previously observed total number of allocated pages.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022